#!/bin/bash
echo "----------------------------------"
echo "   Doors CS Assembler/Compiler"
echo "          Version 2.0L"     
echo "     Written by Kerm Martian"     
echo "     http://www.Cemetech.net"
echo "----------------------------------"
echo "----- Assembling $1 for the TI-83/84 Plus..."
echo "#define TI83P" >tasm/zztemp.asm
if [ -f source/$1.asm ];
then
	cat source/$1.asm >>tasm/zztemp.asm
elif [ -f source/$1.z80 ];
then
	cat source/$1.z80 >>tasm/zztemp.asm
else
	echo "neither source/$1.asm nor source/$1.z80 could be found."
	exit 1
fi
if [ -z `which mono` ];
then
	echo "----- Mono is not installed! Install the mono-runtime package."
	exit 1
fi
rm -f "exec/$1.bin"
mono tasm/Brass.exe tasm/zztemp.asm "tasm/$1.bin" -l "list/$1.list.html"
if [ -f "tasm/$1.bin" ];
then
	if [ -z `which python` ];
	then
		echo "----- Python is not installed! Install the python 2.x or 3.x package"
		exit 1
	fi
	cd tasm
	python binpac8x.py "$1.bin"
	mv -f "$1.8xp" "../exec/"
	cd ..
	echo ----- $1 for the TI-83/84 Plus Assembled and Compiled.
	echo TI-83 Plus version is $1.8xp
else
	echo "----- There were errors."
fi
rm -f tasm/zztemp.asm
rm -f tasm/$1.bin
